# Uses of Interface
org.eclipse.ecf.filetransfer.events.socket.ISocketListener

Packages that use ISocketListener
Package
Description
org.eclipse.ecf.filetransfer.events.socket
org.eclipse.ecf.provider.filetransfer.events.socket

## Uses of ISocketListener in org.eclipse.ecf.filetransfer.events.socket

Methods in org.eclipse.ecf.filetransfer.events.socket with parameters of type ISocketListener
Modifier and Type
Method
Description
`void`
ISocketEventSource.`addListener(ISocketListener listener)`
`void`
ISocketEventSource.`removeListener(ISocketListener listener)`

## Uses of ISocketListener in org.eclipse.ecf.provider.filetransfer.events.socket

Methods in org.eclipse.ecf.provider.filetransfer.events.socket with parameters of type ISocketListener
Modifier and Type
Method
Description
`void`
SocketEventSource.`addListener(ISocketListener l)`
`static Socket`
SocketEventCreateUtil.`createSocket(ISocketListener spyListener, ISocketEventSource socketEventSource, INonconnectedSocketFactory unconnectedFactory, InetSocketAddress remoteInetAddress, InetSocketAddress localInetAddress, int timeout)`
`void`
SocketEventSource.`removeListener(ISocketListener l)`